<?
session_start();
include("../includes/common.php");






if ($_POST["subm"])
{
	$error = "";
	if (!(eregi("^[A-Za-z0-9_-]{5,15}$", $_POST['login'])))
	{	
		$error .= "Укажите корректное имя пользователя. Оно может содержать только буквы
		латинского алфавита, цифры, знаки подчеркивания и тире, и быть длиной 
		5-15 символов<br>\n";
	}
	elseif (@mysql_num_rows(mysql_query("select * from partners where login='".
					$_POST['login']."'"))>0)
	{
		$error .= "Указанное имя пользователя уже существует. Пожалуйста, выберите другое<br>\n";
	}
	if (!eregi("^.{5,25}$", $_POST['pass']))
	{
		$error .= "Длина пароля должна быть от 5 до 25 символов<br>\n";
	}
	elseif ($_POST['pass'] != $_POST['pass_confirm'])
	{
		$error .= "Введенные пароли не совпадают<br>\n";
	}
	if (!ValidateEmail($_POST['email']))
	{	
		$error .= "Введенный E-mail некорректен<br>\n";
	}
	if ((trim($_POST['site_url']) == '')||(!eregi("^((http:\/\/)?(www\.)?([a-zA-Z0-9-])+(\.([a-zA-Z0-9-])+)*(\.([a-zA-Z0-9~\/])+)+)?$", trim($_POST['site_url']))))
	{
		$error .= "Введенный URL не корректен ";
	}

	if ("" == $error)
	{
		$reg_complete = true;
	}
	else
	{
		$reg_complete = false;
	}	
}


if ($reg_complete)
{	
	//$query = "SELECT * FROM `system_settings` WHERE `param_name` = 'partner_default_payout_perc'";
	//$row = mysql_fetch_object(mysql_query($query));
	$default_comission = $SETTINGS['partner_default_payout_perc'];

	$query = "select id from currencies where upper(code)='USD'";
	$row = mysql_fetch_object(mysql_query($query));
	$tmp_arr =  GetHTTPParams();
	$activation_code = GenRandom(25);
	//$tmp_arr = array("ip" => "127.0.0.1", "proxy_ip" => "ZZZZZ", "proxy_type" => "X");
	$ip = $tmp_arr['ip'];	
	$proxy_ip = $tmp_arr['proxy_ip'];
	$proxy_type = $tmp_arr['proxy_type'];
	
	$ref_partner_id = 0;
	if (isset($_COOKIE['PARTNER_CLICK']) && ($_COOKIE['PARTNER_CLICK']>0) && (is_numeric($_COOKIE['PARTNER_CLICK'])))
	{
		$q_ = "select partners.id as partner_id, partners.currency_id as
				partner_currency_id 
				from partners inner join partner_clicks on 
				partners.id=partner_clicks.partner_id where 
				partner_clicks.id = ".$_COOKIE['PARTNER_CLICK'];
		$r_ = mysql_fetch_object(mysql_query($q_));
		
		$partner_id = $r_ -> partner_id;
		
		if (($partner_id > 0) && (is_numeric($partner_id)) && ($partner_id!=''))
		{	
			$ref_partner_id = $partner_id;
		}
	}
		
	$arr = Array(
	"login" => addslashes($_POST['login']),
	"email" => addslashes($_POST['email']),
	"password" => md5($_POST['pass']),
	"site_name" => addslashes($_POST['site_name']),
	"site_url" => addslashes($_POST['site_url']),
	"reg_ip" => addslashes($ip),
	"status" => 0,
	"currency_id" => $row->id,
	"activation_code" => $activation_code,
	"payout_perc" => $default_comission,
	"amount" => 0,
	"regdate" => time(),
	"ref_partner_id" => $ref_partner_id
	);
	
	foreach($arr as $key=>$value){
	    if (!is_null($value)&&!(is_string($value)&&($value=="NULL"))){
			$fields .= '`'.strtolower($key).'`,';
			$values .= "'".$value."',";
		}
	}
	
	$query = "INSERT INTO `partners` (".substr($fields,0,strlen($fields)-1).") VALUES (".substr($values,0,strlen($values)-1).");";
	//echo $query."<br>";
	
	if(@mysql_query($query) != FALSE)
	{
		SendEmail($_POST['email'], "Регистрация в партнерской программе", 
			"Для завершения регистрации и активации вашего аккаунта пройдите по этой ссылке:
				$SITE_URL/activate.php?code=$activation_code", "noreply@noreply.com");
		
		$status =  "<center><strong><br><br><br>Спасибо за регистрацию. На ваш e-mail высланы дальнейшие инструкции.</strong></center><br>";
	}
	else
	{
		$status = "В процессе регистрации произошла ошибка";
	}	
}
$smarty->assign("title", $SETTINGS['site_name']);
$smarty->assign("info", "Здесь Вы найдете ответы на наиболее насущные 
вопросы по работе обменного пункта. Если Вы не нашли ответ на интересующий
 Вас вопрос, обратитесь в службу поддержки, пожалуйста.");
$smarty->assign("ex_currencies", $ex_currencies);
$smarty->assign("main_class", "main");
$smarty->assign("money_cources", get_currency_cources());
$smarty->assign("metal_cources", get_metal_cources());
$smarty->assign("error", $error);
$smarty->assign("status", $status);
$smarty->assign("reg_complete", $reg_complete);
$smarty->display("smartex_register.tpl");
?>